#pragma once

#include <ctype.h>
#include <stdlib.h>
#include <limits.h>
#include <string.h>
#include <stdio.h>
#include <assert.h>
#include <strings.h>
#include <wctype.h>
#include <math.h>

#define MAX(X, Y) ((X) > (Y) ? (X) : (Y))
#define MIN(X, Y) ((X) < (Y) ? (X) : (Y))
#define ABS(X) ((X) >= 0 ? (X) : -(X))

char** str_split(char* a_str, const char a_delim);

int str_index(char *str, char c);

int number_of_element(char *str, char c);

long gmc(long a, long b);
long lmc(long a, long b);
long lmcs(int array[], int n);
